

labs <- c("centromeres", "telomeres", "telomeres close to centromeres", "telomeres far from centromeres", "early firing CIB5-independent origins", "late firing CIB5-dependent origins",
"early firing Rad53-regulated origins", "late firing Rad53-regulated origins", "breakpoints (Scer)", "breakpoints (Scer and Kwal)", "tRNAs", "tRNAs (cluster 1)", "tRNAs (cluster 2)", "tRNAs (other)")
pthresh <- .01/35 # Bonferroni-correction at significance level 0.01



filenames <- c("centromeres", "telomeres_all",   "telomeres_close_to_centromere","telomeres_far_from_centromere",
                            "origins_nonCDR_early","origins_CDR_late","origins_unchecked_early","origins_checked_late",
                            "WolfeScerAncesBreakpoints", "WolfeScerKwalBreakpoints", "trnas", "trna_cluster_bright", "trna_cluster_dim", "trna_cluster_other")
store.props <- pvalues.mirelas <- pvalues.resample <- NULL
for(file in filenames){
  openfile <- paste(file, sep="", "_pvalue.txt")
  tab <- read.table(openfile, header=TRUE, stringsAsFactors=FALSE)
  store.props <- c(store.props,tab[1,1])
  pvalues.mirelas <- c(pvalues.mirelas, tab[1,2])
  pvalues.resample <- c(pvalues.resample,tab[1,3])
}


pvalues.resample <- pmin(pvalues.resample,1)
pdf("Barplot.pdf")
par(mar=c(16,6,6,6))
barplot(100*store.props, names.arg=labs, log="y", las=2, ylab="Percent Observed Interactions", col="pink",space=c(0,.5,0,0,.5,0,0,0,.5,0,.5,0,0,0),ylim=c(.5,100)) 
abline(h=100*(240629/8119614), col="blue", lwd=3)
stars <- rep("", length(pvalues.resample))
stars[pvalues.mirelas < pthresh] <- "*"
text(x=barplot(100*store.props,plot=FALSE,space=c(0,.5,0,0,.5,0,0,0,.5,0,.5,0,0,0)),y=(100*store.props),label=stars,po=3,offset=(-0.5), cex=2)
text(x=barplot(100*store.props,plot=FALSE,space=c(0,.5,0,0,.5,0,0,0,.5,0,.5,0,0,0)),y=(100*store.props),label=round(pvalues.resample,3),po=3,cex=.7,offset=.8)
dev.off()

postscript("Barplot.ps", width=8, height=8, horizontal=FALSE)
par(mar=c(16,6,6,6))
barplot(100*store.props, names.arg=labs, log="y", las=2, ylab="Percent Observed Interactions", col="grey",space=c(0,.5,0,0,.5,0,0,0,.5,0,.5,0,0,0),ylim=c(.5,100)) 
abline(h=100*(240629/8119614), col="black", lwd=3)
stars <- rep("", length(pvalues.resample))
stars[pvalues.mirelas < pthresh] <- "*"
text(x=barplot(100*store.props,plot=FALSE,space=c(0,.5,0,0,.5,0,0,0,.5,0,.5,0,0,0)),y=(100*store.props),label=stars,po=3,offset=(-0.5), cex=2)
text(x=barplot(100*store.props,plot=FALSE,space=c(0,.5,0,0,.5,0,0,0,.5,0,.5,0,0,0)),y=(100*store.props),label=round(pvalues.resample,3),po=3,cex=.7,offset=.8)
dev.off()




print(date())
